![Sequence][rtd-link][logo]

**Sequence-stratigraphic modeling with Python**

______________________________________________________________________

![Testing Status][testing-badge]
![Flake8][flake-badge]
![Code style: Black][black-badge]
![[Documentation][rtd-link]][rtd-badge]


______________________________________________________________________

# About

<!-- start-abstract -->

*Sequence* is a modular 2D (i.e., profile) sequence stratigraphic model
that is written in Python and implemented within the Landlab framework.
Sequence represents time-averaged fluvial and marine sediment transport
via differential equations. The modular code includes components to deal
with sea level changes, sediment compaction, local or flexural isostasy,
and tectonic subsidence and uplift.

<!-- end-abstract -->

______________________________________________________________________

For more information see: <https://sequence.readthedocs.io/en/develop/>

______________________________________________________________________


[black-badge]: https://github.com/sequence-dev/sequence/workflows/Black/badge.svg
[flake-badge]: https://github.com/sequence-dev/sequence/workflows/Build/Test%20CI/badge.svg
[logo]: https://raw.githubusercontent.com/sequence-dev/sequence/develop/docs/_static/sequence-logo-light.svg
[rtd-badge]: https://github.com/sequence-dev/sequence/workflows/Documentation/badge.svg
[rtd-link]: https://sequence.readthedocs.io/en/develop
[testing-badge]: https://github.com/sequence-dev/sequence/workflows/Build/Test%20CI/badge.svg
